Bug 554 - I'm not sure, but I think this bug has got something to do with characters sets
I'm not sure, but I think this bug has got something to do with characters sets
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Extended Characters
3.0.0
All Linux
: P3 normal
: none
Assigned To: Jeremy Allison
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-02 09:20 UTC by Alfredo Milani Comparetti
Modified: 2005-11-14 09:28 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alfredo Milani Comparetti 2003-10-02 09:20:20 UTC
I've got a Windows XP machine accessing a Samba shared directory on a Linux 
machine. When, on Windows XP, I do a recursive directory scan with QUICKSHELL 
(www.quickshell.com) (the scan simply reads file names and collects file sizes 
for summaries), on the Linux machine, in /var/log/messages I get this report:

Oct  2 18:04:54 milanicomparetti smbd[7384]: [2003/10/02 18:04:54, 0] 
lib/fault.c:fault_report(36)
Oct  2 18:04:54 milanicomparetti smbd[7384]:   
===============================================================
Oct  2 18:04:54 milanicomparetti smbd[7384]: [2003/10/02 18:04:54, 0] 
lib/fault.c:fault_report(37)
Oct  2 18:04:54 milanicomparetti smbd[7384]:   INTERNAL ERROR: Signal 11 in 
pid 7384 (3.0.0)
Oct  2 18:04:54 milanicomparetti smbd[7384]:   Please read the appendix Bugs 
of the Samba HOWTO collection
Oct  2 18:04:54 milanicomparetti smbd[7384]: [2003/10/02 18:04:54, 0] 
lib/fault.c:fault_report(39)
Oct  2 18:04:54 milanicomparetti smbd[7384]:   
===============================================================
Oct  2 18:04:54 milanicomparetti smbd[7384]: [2003/10/02 18:04:54, 0] 
lib/util.c:smb_panic(1400)
Oct  2 18:04:54 milanicomparetti smbd[7384]:   PANIC: internal error
Oct  2 18:04:54 milanicomparetti smbd[7384]: [2003/10/02 18:04:54, 0] 
lib/util.c:smb_panic(1407)
Oct  2 18:04:54 milanicomparetti smbd[7384]:   BACKTRACE: 15 stack frames:
Oct  2 18:04:54 milanicomparetti smbd[7384]:    #0 smbd(smb_panic+0x11c) 
[0x81bd99c]
Oct  2 18:04:54 milanicomparetti smbd[7384]:    #1 smbd [0x81ac0e2]
Oct  2 18:04:54 milanicomparetti smbd[7384]:    #2 /lib/tls/libc.so.6 
[0x420276f8]
Oct  2 18:04:54 milanicomparetti smbd[7384]:    #3 /lib/tls/libc.so.6 
[0x42074249]
Oct  2 18:04:54 milanicomparetti smbd[7384]:    #4 /lib/tls/libc.so.6
(malloc+0x8b) [0x4207360b]
Oct  2 18:04:54 milanicomparetti smbd[7384]:    #5 smbd(Realloc+0xd7) 
[0x81bcb67]
Oct  2 18:04:54 milanicomparetti smbd[7384]:    #6 smbd [0x80aea83]
Oct  2 18:04:54 milanicomparetti smbd[7384]:    #7 smbd(reply_trans2+0x7ad) 
[0x80b3f2d]
Oct  2 18:04:54 milanicomparetti smbd[7384]:    #8 smbd [0x80c7266]
Oct  2 18:04:54 milanicomparetti smbd[7384]:    #9 smbd [0x80c7439]
Oct  2 18:04:54 milanicomparetti smbd[7384]:    #10 smbd(process_smb+0x8f) 
[0x80c764f]
Oct  2 18:04:54 milanicomparetti smbd[7384]:    #11 smbd(smbd_process+0x167) 
[0x80c8287]
Oct  2 18:04:54 milanicomparetti smbd[7384]:    #12 smbd(main+0x4bf) 
[0x8226cbf]
Oct  2 18:04:54 milanicomparetti smbd[7384]:    #13 /lib/tls/libc.so.6
(__libc_start_main+0xe4) [0x420156a4]
Oct  2 18:04:54 milanicomparetti smbd[7384]:    #14 smbd(ldap_msgfree+0x6d) 
[0x8076b31]
Oct  2 18:04:54 milanicomparetti smbd[7384]:




I've just tried with Explorer: I issued a PROPERTIES command on my Windows XP 
box for the shared directory. This forces Windows XP to do a full directory 
scan to show the total allocated size for that dir.
On the Linux box I get this message in /var/log/messages:

Oct  2 18:19:20 milanicomparetti smbd[7931]: [2003/10/02 18:19:20, 0] 
lib/fault.c:fault_report(36)
Oct  2 18:19:20 milanicomparetti smbd[7931]:   
===============================================================
Oct  2 18:19:20 milanicomparetti smbd[7931]: [2003/10/02 18:19:20, 0] 
lib/fault.c:fault_report(37)
Oct  2 18:19:20 milanicomparetti smbd[7931]:   INTERNAL ERROR: Signal 11 in 
pid 7931 (3.0.0)
Oct  2 18:19:20 milanicomparetti smbd[7931]:   Please read the appendix Bugs 
of the Samba HOWTO collection
Oct  2 18:19:20 milanicomparetti smbd[7931]: [2003/10/02 18:19:20, 0] 
lib/fault.c:fault_report(39)
Oct  2 18:19:20 milanicomparetti smbd[7931]:   
===============================================================
Oct  2 18:19:20 milanicomparetti smbd[7931]: [2003/10/02 18:19:20, 0] 
lib/util.c:smb_panic(1400)
Oct  2 18:19:20 milanicomparetti smbd[7931]:   PANIC: internal error
Oct  2 18:19:20 milanicomparetti smbd[7931]: [2003/10/02 18:19:20, 0] 
lib/util.c:smb_panic(1407)
Oct  2 18:19:20 milanicomparetti smbd[7931]:   BACKTRACE: 23 stack frames:
Oct  2 18:19:20 milanicomparetti smbd[7931]:    #0 smbd(smb_panic+0x11c) 
[0x81bd99c]
Oct  2 18:19:20 milanicomparetti smbd[7931]:    #1 smbd [0x81ac0e2]
Oct  2 18:19:20 milanicomparetti smbd[7931]:    #2 /lib/tls/libc.so.6 
[0x420276f8]
Oct  2 18:19:20 milanicomparetti smbd[7931]:    #3 /lib/tls/libc.so.6 
[0x42074e1a]
Oct  2 18:19:20 milanicomparetti smbd[7931]:    #4 /lib/tls/libc.so.6
(__libc_realloc+0x104) [0x420738c4]
Oct  2 18:19:20 milanicomparetti smbd[7931]:    #5 smbd(Realloc+0x80) 
[0x81bcb10]
Oct  2 18:19:20 milanicomparetti smbd[7931]:    #6 smbd
(convert_string_allocate+0x3e7) [0x81a9ee7]
Oct  2 18:19:20 milanicomparetti smbd[7931]:    #7 smbd
(push_ucs2_allocate+0x49) [0x81aa789]
Oct  2 18:19:20 milanicomparetti smbd[7931]:    #8 smbd(unix_strupper+0x24) 
[0x81aa054]
Oct  2 18:19:20 milanicomparetti smbd[7931]:    #9 smbd(strupper_m+0x42) 
[0x81b6af2]
Oct  2 18:19:20 milanicomparetti smbd[7931]:    #10 smbd [0x80d05aa]
Oct  2 18:19:20 milanicomparetti smbd[7931]:    #11 smbd [0x80d1022]
Oct  2 18:19:20 milanicomparetti smbd[7931]:    #12 smbd(mangle_map+0x82) 
[0x80cef42]
Oct  2 18:19:20 milanicomparetti smbd[7931]:    #13 smbd [0x80ab0a6]
Oct  2 18:19:20 milanicomparetti smbd[7931]:    #14 smbd [0x80ac04c]
Oct  2 18:19:20 milanicomparetti smbd[7931]:    #15 smbd(reply_trans2+0x69c) 
[0x80b3e1c]
Oct  2 18:19:20 milanicomparetti smbd[7931]:    #16 smbd [0x80c7266]
Oct  2 18:19:20 milanicomparetti smbd[7931]:    #17 smbd [0x80c7439]
Oct  2 18:19:20 milanicomparetti smbd[7931]:    #18 smbd(process_smb+0x8f) 
[0x80c764f]
Oct  2 18:19:20 milanicomparetti smbd[7931]:    #19 smbd(smbd_process+0x167) 
[0x80c8287]
Oct  2 18:19:20 milanicomparetti smbd[7931]:    #20 smbd(main+0x4bf) 
[0x8226cbf]
Oct  2 18:19:20 milanicomparetti smbd[7931]:    #21 /lib/tls/libc.so.6
(__libc_start_main+0xe4) [0x420156a4]
Oct  2 18:19:20 milanicomparetti smbd[7931]:    #22 smbd(ldap_msgfree+0x6d) 
[0x8076b31]
Oct  2 18:19:20 milanicomparetti smbd[7931]:
Oct  2 18:19:21 milanicomparetti smbd[8032]: [2003/10/02 18:19:21, 0] 
lib/fault.c:fault_report(36)
Oct  2 18:19:21 milanicomparetti smbd[8032]:   
===============================================================
Oct  2 18:19:21 milanicomparetti smbd[8032]: [2003/10/02 18:19:21, 0] 
lib/fault.c:fault_report(37)
Oct  2 18:19:21 milanicomparetti smbd[8032]:   INTERNAL ERROR: Signal 11 in 
pid 8032 (3.0.0)
Oct  2 18:19:21 milanicomparetti smbd[8032]:   Please read the appendix Bugs 
of the Samba HOWTO collection
Oct  2 18:19:21 milanicomparetti smbd[8032]: [2003/10/02 18:19:21, 0] 
lib/fault.c:fault_report(39)
Oct  2 18:19:21 milanicomparetti smbd[8032]:   
===============================================================
Oct  2 18:19:21 milanicomparetti smbd[8032]: [2003/10/02 18:19:21, 0] 
lib/util.c:smb_panic(1400)
Oct  2 18:19:21 milanicomparetti smbd[8032]:   PANIC: internal error
Oct  2 18:19:21 milanicomparetti smbd[8032]: [2003/10/02 18:19:21, 0] 
lib/util.c:smb_panic(1407)
Oct  2 18:19:21 milanicomparetti smbd[8032]:   BACKTRACE: 23 stack frames:
Oct  2 18:19:21 milanicomparetti smbd[8032]:    #0 smbd(smb_panic+0x11c) 
[0x81bd99c]
Oct  2 18:19:21 milanicomparetti smbd[8032]:    #1 smbd [0x81ac0e2]
Oct  2 18:19:21 milanicomparetti smbd[8032]:    #2 /lib/tls/libc.so.6 
[0x420276f8]
Oct  2 18:19:21 milanicomparetti smbd[8032]:    #3 /lib/tls/libc.so.6 
[0x42074249]
Oct  2 18:19:21 milanicomparetti smbd[8032]:    #4 /lib/tls/libc.so.6
(malloc+0x8b) [0x4207360b]
Oct  2 18:19:21 milanicomparetti smbd[8032]:    #5 smbd(Realloc+0xd7) 
[0x81bcb67]
Oct  2 18:19:21 milanicomparetti smbd[8032]:    #6 smbd
(convert_string_allocate+0x417) [0x81a9f17]
Oct  2 18:19:21 milanicomparetti smbd[8032]:    #7 smbd
(push_ucs2_allocate+0x49) [0x81aa789]
Oct  2 18:19:21 milanicomparetti smbd[8032]:    #8 smbd(unix_strupper+0x24) 
[0x81aa054]
Oct  2 18:19:21 milanicomparetti smbd[8032]:    #9 smbd(strupper_m+0x42) 
[0x81b6af2]
Oct  2 18:19:21 milanicomparetti smbd[8032]:    #10 smbd [0x80d05aa]
Oct  2 18:19:21 milanicomparetti smbd[8032]:    #11 smbd [0x80d1022]
Oct  2 18:19:21 milanicomparetti smbd[8032]:    #12 smbd(mangle_map+0x82) 
[0x80cef42]
Oct  2 18:19:21 milanicomparetti smbd[8032]:    #13 smbd [0x80ab0a6]
Oct  2 18:19:21 milanicomparetti smbd[8032]:    #14 smbd [0x80acac3]
Oct  2 18:19:21 milanicomparetti smbd[8032]:    #15 smbd(reply_trans2+0x6de) 
[0x80b3e5e]
Oct  2 18:19:21 milanicomparetti smbd[8032]:    #16 smbd [0x80c7266]
Oct  2 18:19:21 milanicomparetti smbd[8032]:    #17 smbd [0x80c7439]
Oct  2 18:19:21 milanicomparetti smbd[8032]:    #18 smbd(process_smb+0x8f) 
[0x80c764f]
Oct  2 18:19:21 milanicomparetti smbd[8032]:    #19 smbd(smbd_process+0x167) 
[0x80c8287]
Oct  2 18:19:21 milanicomparetti smbd[8032]:    #20 smbd(main+0x4bf) 
[0x8226cbf]
Oct  2 18:19:21 milanicomparetti smbd[8032]:    #21 /lib/tls/libc.so.6
(__libc_start_main+0xe4) [0x420156a4]
Oct  2 18:19:21 milanicomparetti smbd[8032]:    #22 smbd(ldap_msgfree+0x6d) 
[0x8076b31]
Comment 1 Gerald (Jerry) Carter 2004-02-10 13:28:57 UTC
Looks like this should be fixed in 3.0.2
Comment 2 Jeremy Allison 2004-02-10 14:09:39 UTC
This I think is the same as #830, which we fixed for 3.0.2.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:18:09 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 4 Gerald (Jerry) Carter 2005-11-14 09:28:28 UTC
database cleanup